#!/bin/bash

VERSION=`python -c "from recent_notifications.Globals import VERSION; print VERSION"`
NAME="recent-notifications-${VERSION}"
SDIST="${NAME}.tar.gz"
ORIG="${NAME}.orig.tar.gz"

mkdir -p "dist/deb"

echo "Building source distribution for ${SDIST}"
python setup.py sdist
cp "dist/${SDIST}" "dist/deb/${ORIG}"
cd "dist/deb"

echo "Unpacking source distribution in deb directory"
tar xzf "${ORIG}"
cd "${NAME}"

echo "Building deb package"
dpkg-buildpackage -us -uc
